apply plugin: 'com.android.application'

android {
    compileSdkVersion 29
    buildToolsVersion '29.0.2'
    ndkVersion '23.0.7123448'

    defaultConfig {
        applicationId "com.navinfo.outdoor"
        minSdkVersion 22
        targetSdkVersion 30
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }
    lintOptions {
        checkReleaseBuilds false
        // Or, if you prefer, you can continue to check for errors in release builds,
        // but continue the build even when errors are found:
        abortOnError false
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

   compileOptions {
       sourceCompatibility JavaVersion.VERSION_1_8
      targetCompatibility JavaVersion.VERSION_1_8
    }
}
//efs {
//    //是否对启动过程进程插桩的开关，如果使用自动集成监控则必须开启
//    isAutoTrack = true
//    //您自定义Application的类名称，必填项，如没有自定义则填写系统Application
//    applicationName = "UserApplication"
//    //您自定义Activity的类名称，必填项，将您所有Activity的类名按如下格式填写
//    activityList = [
//            "MainActivity",
//            "WebActivity",
//            "LoginActivity",
//            "ImageShowActivity",
//            "HomeActivity"
//            //......
//    ]
//}

dependencies {
    implementation fileTree(dir: "libs", include: ["*.jar"])
    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation 'com.google.android.material:material:1.0.0'
    implementation 'androidx.navigation:navigation-fragment:2.1.0'
    implementation 'androidx.navigation:navigation-ui:2.1.0'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation files('libs\\jts-1.13.jar')
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'androidx.test.ext:junit:1.1.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'
    //友盟自动检测bug
    implementation 'com.umeng.umsdk:common:9.3.8'
    implementation 'com.umeng.umsdk:asms:1.2.2'
    implementation 'com.umeng.umsdk:apm:1.2.0'
    //状态栏侵染

    // 基础依赖包，必须要依赖
    implementation 'com.gyf.immersionbar:immersionbar:3.0.0'
    implementation 'com.gyf.immersionbar:immersionbar-components:3.0.0'


    //网络框架
    implementation 'com.lzy.net:okgo:3.0.4'
    implementation 'com.google.code.gson:gson:2.8.5'


    //retrofit+rxJava
    implementation 'com.squareup.retrofit2:retrofit:2.5.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.3.0'
    //转换器，请求结果转换成Model
    implementation 'com.squareup.retrofit2:adapter-rxjava2:2.3.0'
    //配合RxJava 使用
    implementation 'io.reactivex.rxjava2:rxjava:2.2.7'
    implementation 'io.reactivex.rxjava2:rxandroid:2.1.1'
    //EventBus
    implementation 'org.greenrobot:eventbus:3.1.1'
    //三级选择
    implementation 'com.airsaid.library:pickerview:1.0.3'
    //省市区 https://github.com/Bigkoo/Android-PickerView
    compile 'com.contrarywind:Android-PickerView:4.1.6'
    implementation 'com.contrarywind:Android-PickerView:4.1.8'
/*    //加载html
    implementation 'com.github.sendtion:XRichText:1.9.4'*/
    //加载图片的依赖包
    implementation 'com.github.bumptech.glide:glide:4.8.0'
    //弹窗  https://github.com/kongzue/DialogV3
    implementation 'com.kongzue.dialog_v3x:dialog:3.2.4'
    //xRecyclerview下拉刷新控件
    implementation project(':xrecyclerview')
    //拍照功能 https://github.com/natario1/CameraView
    implementation 'com.otaliastudios:cameraview:2.7.0'

    //抽屉控件 https://github.com/umano/AndroidSlidingUpPanel
    implementation 'com.sothree.slidinguppanel:library:3.4.0'

//腾讯地图
    // 地图库
    implementation 'com.tencent.map:tencent-map-vector-sdk:4.4.2'
    // 地图组件库，包括小车平移、点聚合等组件功能，详见开发指南。
    implementation 'com.tencent.map:sdk-utilities:1.0.6'

    //腾讯地图 定位
    implementation 'com.tencent.map.geolocation:TencentLocationSdk-openplatform:7.2.6'

    // 权限请求框架：https://github.com/getActivity/XXPermissions
    implementation 'com.github.getActivity:XXPermissions:11.6'

    //room 数据库
    def room_version = "2.2.0-alpha01"

    implementation "androidx.room:room-runtime:$room_version"
    annotationProcessor "androidx.room:room-compiler:$room_version"
    implementation "androidx.room:room-rxjava2:$room_version"
    implementation "androidx.room:room-guava:$room_version"
    testImplementation "androidx.room:room-testing:$room_version"

    // 视频拼接 https://blog.csdn.net/u011520181/article/details/89324292
    implementation 'com.googlecode.mp4parser:isoparser:1.1.21'
    // Android常用库 https://github.com/l123456789jy/Lazy
    implementation 'com.github.lazylibrary:lazylibrary:1.0.2'
}